
# soname breaks, don't run libtoolize
%define __libtoolize    /bin/true

Summary: 	Disk performance panel plugin for XFce.
Name: 		xfce-diskperf-plugin
Version: 	1.4.1
Release: 	1mdk
License:	BSD
URL: 		http://xfce4-goodies.berlios.de
Source0: 	xfce4-diskperf-plugin-%{version}.tar.bz2
Group: 		Graphical desktop/Other
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel
BuildRequires:	xfce-panel-devel

%description
Disk performance panel plugin for the XFce desktop environment.

The DiskPerf plugin displays disk/partition performance based on the
rsect/wsect data provided by recent Linux kernels (at least 2.4.20 -
I think - compiled with CONFIG_BLK_STATS turned on, or possibly older
kernel patched with "Disk extended statistics" in /proc/partitions).

To know if your system provides such statistics:
        - less /proc/partitions
	- check that there are rsect/wsect data
		

%prep
%setup -q -n xfce4-diskperf-plugin-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/*.a

%find_lang xfce4-diskperf

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xfce4-diskperf.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%{_libdir}/xfce4/panel-plugins/*


%changelog
* Sun Jan 11 2004 Marcel Pol <mpol@mandrake.org> 1.4.1-1mdk
- 1.4.1

* Mon Nov 24 2003 Marcel Pol <mpol@gmx.net> 1.4-1mdk
- initial mandrake package

